%define major		2
%define girmajor	2.0
%define libname		%mklibname mate-menu %{major}
%define girname		%mklibname matemenu-gir %{girmajor}
%define develname	%mklibname -d mate-menu

Summary:	MATE menu library
Name:		mate-menus
Version:	1.20.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
Source1:	mate-applications.menu
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}python-devel

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.


%package devel
Group:		Development/Libraries
Summary:	MATE menu library development files
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains the development libraries of %{name}.

%package -n python-%{name}
Group:		Development/Python
Summary:	Module to access XDG menu
Requires:	python-gobject

%description -n python-%{name}
Python module to access XDG menu.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-python \
    --with-gtk=3.0

%make

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name *.la | xargs rm

#our default menu for pclinuxos
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/menus/mate-applications.menu

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%dir %{_datadir}/mate
%dir %{_datadir}/mate/desktop-directories
%{_datadir}/mate/desktop-directories/*
%{_datadir}/%{name}
%{_libdir}/libmate-menu.so.%{major}*
%{_libdir}/girepository-1.0/MateMenu-%{girmajor}.typelib
%{_sysconfdir}/xdg/menus/mate-preferences-categories.menu

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MateMenu-%{girmajor}.gir

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/matemenu.so

%clean
rm -rf %buildroot


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Wed Nov 08 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.18.0-2pclos2017
- rebuild against updates

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Sun Jan 29 2017 bb <bb> 1.16.0-4pclos2017
- drop system since it creates too many
- duplicate entries

* Sun Jan 29 2017 bb <bb> 1.16.0-3pclos2017
- update menu structure to modified
- PCLinuxOS Menu

* Thu Jan 27 2017 bb <bb> 1.16.0-2pclos2017
- convert menu to default MATE layout

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.0-2pclos2015
- rebuild for updates

* Thu Apr 09 2015 bb <bb> 1.10.0-1pclos2015
- 1.10.0

